from django.db import models
from datetime import datetime


class LiveManager(models.Manager):
    def get_query_set(self):
        return (
            super(LiveManager, self)
            .get_query_set()
            .filter(expires_on__gte=datetime.now())
        )


class FeaturedManager(models.Manager):
    def get_query_set(self):
        return (
            super(FeaturedManager, self)
            .get_query_set()
            .filter(featured=True)
            .filter(expires_on__gte=datetime.now())
        )
